Home > Development, Linux > no more bundle exec

no more bundle exec

October 24th, 2011

About half year ago I have written a gem to eliminate the need of using bundle execrubygems-bundler. For now at least 480 developers decide it is useful (downloads count for current version).

Yesterday I finally was able to close issue 3 for rubygems-bundler, but as the support for plugins was enabled only on 1.1 branch – today I have released a bundler gem fork of the latest version 1.0.21 – mpapis-bundler, including only two changes compared the original gem in version 1.0.21:

  1. Support for rubygems plugins cherry picked from 7b4bd9e3d7a644dd4ad73fe95e2786e8f7411d04
  2. Rebranding and dependency to rubygems-bundler 8b34ef025d57a6cef58d1d8fdf486d4c25fe7d69

So anyone tired of writing bundle exec can now easily avoid it by using mpapis-bundler instead of bundler.

Both gems rubygems-bundler and mpapis-bundler are backporting functionalities that will be available in rubygems and bundler – don’t wait for future, future is now.

Categories: Development, Linux Tags: , , , , ,
Comments are closed.
Get Adobe Flash player